phpjsのjavascriptのエラー”16 進数を指定して下さい。”

先日のエントリー(ずいぶん前…)でphpjsのphp.full.min.jsを使ったjavascriptを書いてましたが、
IE6以下で使用するとjavascriptのエラーがでてたようでした。

Line: 1678
Char: 127
Error: 16 進数を指定して下さい。
Code: 0

解決方法は簡単!
phpjsを新しいバージョンにするだけ!

現在のバージョンは3.16です。
php.full.min.jsの3.16

IE6のユーザーもまだいるようですし、JSの配列の要素の最後に”,”はNGですね。

でも最近ではIE6以下を完全に無視する開発者もいるので、
無視するのも一つの手です。

うらやましい。